<div class="container-nav">
  <button  class="button-nav" (click)="toolComponentChild('calculator')">Calculator</button>
  <button  class="button-nav" (click)="toolComponentChild('editor')">Editor</button>
  <button  class="button-nav" (click)="toolComponentChild('notepad')">Notepad</button>
</div>
